Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## javax.jdo.annotations
Annotation Type Join

    @Target(value={TYPE,FIELD,METHOD})
    @Retention(value=RUNTIME)
    public @interface Join

Annotation for the join of a relation. Corresponds to the xml element "join".

Since:
  2.1
Version:
  2.1

Optional Element Summary
`java.lang.String` | `column` Name of the column in the join table.
`Column[]` | `columns` Detail definition of the join column(s).
`ForeignKeyAction` | `deleteAction` Delete action to be applied to any ForeignKey on this join.
`Extension[]` | `extensions` Vendor extensions.
`java.lang.String` | `foreignKey` Name for a generated foreign key constraint.
`java.lang.String` | `generateForeignKey` Generate or assume a foreign key constraint exists on the column or columns associated with this join.
`java.lang.String` | `generatePrimaryKey` Generate or assume a primary key constraint exists on the column or columns associated with this join.
`java.lang.String` | `index` The name of the index to generate.
`java.lang.String` | `indexed` Whether the join column is indexed.
`java.lang.String` | `outer` Whether to use an outer join.
`java.lang.String` | `primaryKey` Name for a generated primary key constraint.
`java.lang.String` | `table` Table to join to (used when joining to secondary tables).
`java.lang.String` | `unique` Whether the join column is unique.
`java.lang.String` | `uniqueKey` The name of the unique key constraint to generate.

### table

    public abstract java.lang.String table

  Table to join to (used when joining to secondary tables).

  Returns:
    the table
  Default:
    ""

### column

    public abstract java.lang.String column

  Name of the column in the join table.

  Returns:
    the name of the column in the join table
  Default:
    ""

### indexed

    public abstract java.lang.String indexed

  Whether the join column is indexed.

  Returns:
    whether the join column(s) is(are) indexed
  Default:
    ""

### index

    public abstract java.lang.String index

  The name of the index to generate.

  Returns:
    the name of the index
  Default:
    ""

### unique

    public abstract java.lang.String unique

  Whether the join column is unique.

  Returns:
    whether the join column(s) is(are) is unique
  Default:
    ""

### uniqueKey

    public abstract java.lang.String uniqueKey

  The name of the unique key constraint to generate.

  Returns:
    the name of the unique key constraint
  Default:
    ""

### outer

    public abstract java.lang.String outer

  Whether to use an outer join.

  Returns:
    whether to use an outer join
  Default:
    ""

### deleteAction

    public abstract ForeignKeyAction deleteAction

  Delete action to be applied to any ForeignKey on this join.

  Returns:
    the delete action
  Default:
    javax.jdo.annotations.ForeignKeyAction.UNSPECIFIED

### columns

    public abstract Column[] columns

  Detail definition of the join column(s). This is needed for more than one join column.

  Returns:
    the join columns
  Default:
    {}

### generatePrimaryKey

    public abstract java.lang.String generatePrimaryKey

  Generate or assume a primary key constraint exists on the column or columns associated with this join. Specify "true" or "false".

  Returns:
    whether to generate or assume a primary key constraint
  Default:
    ""

### primaryKey

    public abstract java.lang.String primaryKey

  Name for a generated primary key constraint.

  Returns:
    the name of the generated primary key constraint
  Default:
    ""

### generateForeignKey

    public abstract java.lang.String generateForeignKey

  Generate or assume a foreign key constraint exists on the column or columns associated with this join. Specify "true" or "false".

  Returns:
    whether to generate or assume a foreign key constraint
  Default:
    ""

### foreignKey

    public abstract java.lang.String foreignKey

  Name for a generated foreign key constraint.

  Returns:
    the name of the generated foreign key constraint
  Default:
    ""

### extensions

    public abstract Extension[] extensions

  Vendor extensions.

  Returns:
    the vendor extensions
  Default:
    {}

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

Copyright © 2005-2011 Apache Software Foundation. All Rights Reserved.